Bug 1029489 - [RFE][oVirt] Export not exporting direct lun disk
[RFE][oVirt] Export not exporting direct lun disk
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.3
x86_64 Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
Raz Tamir
: FutureFeature, Reopened
Depends On:
Blocks: 1280249 1287708
  Show dependency treegraph
 
Reported: 2013-11-12 08:23 EST by Juan Pablo Lorier
Modified: 2018-05-16 06:52 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Allow export of direct lun disk Reason: Can be usefull for exporting to another cluster or backup pourposes Result (if any):
Story Points: ---
Clone Of:
: 1280249 1287708 (view as bug list)
Environment:
Last Closed: 2018-05-16 06:46:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Juan Pablo Lorier 2013-11-12 08:23:39 EST
Description of problem:


Version-Release number of selected component (if applicable):

ovirt-engine.noarch                  3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-backend.noarch          3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-cli.noarch              3.2.0.11-1.el6                @ovirt-stable
ovirt-engine-dbscripts.noarch        3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-genericapi.noarch       3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-restapi.noarch          3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-sdk.noarch              3.2.0.3-1.el6.centos.alt      @ovirt_test  
ovirt-engine-setup.noarch            3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-tools.noarch            3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-userportal.noarch       3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-webadmin-portal.noarch  3.2.2-1.1.el6                 @ovirt-stable
ovirt-host-deploy.noarch             1.1.0-0.0.master.el6          @ovirt32-dre 
ovirt-host-deploy-java.noarch        1.1.0-0.0.master.el6          @ovirt32-dre 
ovirt-image-uploader.noarch          3.1.0-26.el6.centos.alt       @ovirt_test  
ovirt-iso-uploader.noarch            3.1.0-26.el6.centos.alt       @ovirt_test  
ovirt-log-collector.noarch           3.2.2-1.el6                   @ovirt-stable
ovirt-release-el6.noarch             6-1                           @/ovirt-release-el6-6-1.noarch


How reproducible:

Steps to Reproduce:
1.Export a vm with direct lun disk
2.Exported vm has no disk
3.

Actual results:
the exported vm is not usable.

Expected results:
The vm should have a copy of the disk

Additional info:
Comment 1 Sean Cohen 2013-11-18 07:10:04 EST
(In reply to Juan Pablo Lorier from comment #0)

> The vm should have a copy of the disk

Juan,

Using LUNs directly as virtual machine hard disk images removes a layer of abstraction between the virtual machines and their data.

Here are the limitations by design:

- Live storage migration of direct LUN hard disk images is not supported.
- Direct LUN disks are not included in virtual machine exports.
- Direct LUN disks are not included in virtual machine snapshots

Sean
Comment 2 Ayal Baron 2013-12-04 13:31:10 EST
(In reply to Sean Cohen from comment #1)
> (In reply to Juan Pablo Lorier from comment #0)
> 
> > The vm should have a copy of the disk
> 
> Juan,
> 
> Using LUNs directly as virtual machine hard disk images removes a layer of
> abstraction between the virtual machines and their data.
> 
> Here are the limitations by design:
> 
> - Live storage migration of direct LUN hard disk images is not supported.

It could be (hence the RFE)

> - Direct LUN disks are not included in virtual machine exports.

I see no reason not to add this option when exporting.  It would mean of course that the disk would stop being a direct lun, but the request is valid.

> - Direct LUN disks are not included in virtual machine snapshots

technically it could be possible, although it would add a dependency on a storage domain disk in addition to the lun.
alternatively, once we introduce Cinder support then we'd be able to add 'managed' luns for which snapshots are supported by definition.
Comment 3 Itamar Heim 2015-03-22 11:47:06 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 10 Doron Fediuck 2018-05-16 06:46:33 EDT
Closing old bugs.
If needed please reopen and explain why.

Note You need to log in before you can comment on or make changes to this bug.